<?php 
	
    $ac_post_type = "vw_accordion";
	
    $AllAccordion = array(  'p' => $vw_acc_ID, 'post_type' => $ac_post_type, 'orderby' => 'ASC');
    $loop = new WP_Query( $AllAccordion );
	
	while ( $loop->have_posts() ) : $loop->the_post();
		//get the post id
		$post_id = get_the_ID();
		
		$Accordion_Settings = unserialize(get_post_meta( $post_id, 'Accordion_Settings', true));
		if(count($Accordion_Settings)) 
		{
			$option_names = array(
				"vwac_sec_title" 	 	=> "yes",
				"vwac_oc_onoff" 		=> "yes",
				"vwac_icon_title"     	=> "yes",
				"vwac_border_radius"  	=> "4",
				"vwac_margin_top"   	=> "10",
				"vwac_margin_right"   	=> "10",
				"vwac_margin_bottom"  	=> "10",
				"vwac_margin_left"   	=> "10",
				"vwac_oc_position"      => "right",
				"vwac_title_bg_clr"   	=> "",
				"vwac_icon_title_clr" 	=> "",
				"vwac_desc_bg_clr"    	=> "",
				"vwac_desc_font_clr"  	=> "",
				"vwac_border_font_clr"  	=> "",
				"vwac_active_font_clr"  	=> "",
				"vwac_title_font_size"  => "18",
				"vwac_des_font_size"    => "16",
				"vwac_font_family"     	=> "Open Sans",
				"vwac_expand_option"    =>1,
				"vwac_default_styles"   =>'vw_accordion_style_1',
			);
			
			foreach($option_names as $option_name => $default_value) {
				if(isset($Accordion_Settings[$option_name])) 
					${"" . $option_name}  = $Accordion_Settings[$option_name];
				else
					${"" . $option_name}  = $default_value;
			}
		}		
		
		$accordion_data = unserialize(get_post_meta( get_the_ID(), 'vw_accordion_data', true));
		$TotalCount =  get_post_meta( get_the_ID(), 'vw_accordion_count', true );
		if($TotalCount>0) 
		{
		?>
			<?php  if($vwac_sec_title == 'yes' ) { ?>
				<h3><?php echo get_the_title( $post_id ); ?> </h3>
			<?php } ?>
			<style>
				<?php require('dynamic-style.php'); ?>	
			</style>

			<div class="vw-panel-group <?php echo $vwac_default_styles; ?>" id="vw_accordion_<?php echo $post_id; ?>" role="tablist" aria-multiselectable="true">
				<?php 	
				$i=1;
				foreach($accordion_data as $accordion_single_data)
				{
					$accordion_title = $accordion_single_data['accordion_title'];
					$accordion_title_icon = $accordion_single_data['accordion_title_icon'];
					$enable_single_icon = $accordion_single_data['enable_single_icon'];
					$accordion_desc = $accordion_single_data['accordion_desc'];
					$i;

					switch($vwac_expand_option){
						case "1":
							$j=1;
							break;
						case "2":
							$j=$i;
							break;
						case "3":
							$j=0;
							break;
					}
					 
					?>
		                <div class="vw-panel vw-panel-default">
		                    <div class="vw-panel-heading" role="tab" id="headingOne">
		                        <h4 class="vw-panel-title">
		                            <a <?php if($i!=1){ echo "collapsed"; } ?> role="button" data-toggle="collapse" data-parent="#vw_accordion_<?php echo $post_id; ?>" href="#ac_<?php echo $post_id; ?>_collapse<?php echo $i; ?>" aria-expanded="true" aria-controls="collapseOne" class="collapsed">

		                                <?php if($vwac_oc_onoff == 'yes' ) 
										{ ?>
											<i class="vwac_oc_icon_pos fa fa-<?php if($i==$j){ echo "minus"; } else { echo "plus"; } ?>"></i>

										<?php
										} ?>

										<span class="ac_title_class">
										<?php if($vwac_icon_title == 'yes' )
										{ 
											if($enable_single_icon=="yes")
											{?>
												<span class="sty_6_icon fa <?php echo $accordion_title_icon; ?>"></span>
											<?php }
										} ?>

										

										<?php
										if($accordion_title == '' ) { echo "no title";  } else { echo esc_attr($accordion_title); }

										?>
										</span>
		                            </a>
		                        </h4>
		                    </div>
		                    <div id="ac_<?php echo $post_id; ?>_collapse<?php echo $i; ?>" class="vw-panel-collapse collapse in" role="tabpanel" aria-labelledby="headingOne">
		                        <div class="vw-panel-body">
		                           <?php echo do_shortcode($accordion_desc); ?>
		                        </div>
		                    </div>
		                </div>
				<?php
				 $i++;
				}
				?>
			</div>
			<?php
		}
		else{ ?>
			 <h3><?php esc_html_e('No Accordion Found', VWAC_TEXT_DOMAIN); ?> </h3>
		<?php }
	endwhile;